/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.330 Revision 1.413
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.330 2008/03/05 20:37:44 dertobi123 Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.413 2009/06/16 18:35:31 armin76 Exp $
4
5 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
6 arm/ia64/s390/sh/sparc stable wrt #273213
7
8 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
9 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
10 Removing old version, minor cleanup
11
12 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
13 -files/ruby-1.8.6-openssl.patch,
14 -files/ruby-1.8.6-shortname_constants.patch,
15 -files/ruby-1.8.6_p111-r13657.patch,
16 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
17 Removing vulnerable old Ruby version and stale patches, bug 274108.
18
19 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
20 ruby-1.8.6_p369.ebuild:
21 Stable on alpha, bug #273213
22
23 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
24 Stable for HPPA (bug #273213).
25
26 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
27 ruby-1.8.6_p369.ebuild:
28 stable x86, security bug 273213
29
30 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
31 amd64 stable, security bug 273213.
32
33*ruby-1.8.7_p173 (10 Jun 2009)
34*ruby-1.8.6_p369 (10 Jun 2009)
35
36 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
37 +ruby-1.8.7_p173.ebuild:
38 Version bumps for bug #273213.
39
40*ruby-1.9.1_p129-r1 (27 May 2009)
41
42 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
43 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
44 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
45 +files/ruby-1.9.1_p129-parallelmake.patch:
46 Revision bump, add patches 1) to make Ruby behave more similarly between
47 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
48 extensions (undefined symbols in them will cause abort at runtime 3) to
49 remove a concurrency issue when building the dl extension that could
50 result in a broken dl.so.
51
52 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
53 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
54 Don't block rdoc-2 or later (which may enter Portage one day as it's
55 needed by some Rakefiles).
56
57 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
58 ruby-1.9.1_p129.ebuild:
59 Add ~x86-fbsd keyword.
60
61 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
62 keyword ~sparc-fbsd, bug #252315
63
64*ruby-1.9.1_p129 (15 May 2009)
65
66 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
67 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
68 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
69 included in every release.
70
71 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
72 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
73 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
74 ruby-1.8.7_p160.ebuild:
75 Removing vulnerable versions (#268515), fixing license (#233747).
76
77 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
78 Stable for HPPA (bug #268515).
79
80 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
81 Adapting rubygems notice.
82
83 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
84 amd64 stable, bug #268515.
85
86 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
87 arm/ia64/s390/sh/sparc stable wrt #268515
88
89 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
90 ruby-1.8.6_p368.ebuild:
91 stable x86, security bug 268515
92
93 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
94 ruby-1.8.6_p368.ebuild:
95 Stable on alpha, bug #268515
96
97 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
98 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
99
100*ruby-1.8.7_p160 (07 May 2009)
101*ruby-1.8.6_p368 (07 May 2009)
102
103 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
104 +ruby-1.8.7_p160.ebuild:
105 Version bump as per secbug 268515. NB: These are the first ebuilds that
106 no longer use ruby-config.
107
108*ruby-1.9.1-r1 (03 Apr 2009)
109*ruby-1.8.7_p72-r11 (03 Apr 2009)
110*ruby-1.8.6_p287-r13 (03 Apr 2009)
111
112 03 Apr 2009; Alex Legler <a3li@gentoo.org>
113 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
114 +files/ruby18-mkmf-parallel-install.patch,
115 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
116 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
117 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
118 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
119 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
120 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
121 happy.
122
123*ruby-1.9.1 (21 Mar 2009)
124
125 21 Mar 2009; Alex Legler <a3li@gentoo.org>
126 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
127 +ruby-1.9.1.ebuild:
128 Adding Ruby 1.9.1 for preliminary testing
129
130 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
131 ruby-1.8.6_p287-r12.ebuild:
132 Marked ~ppc for bug #252315.
133
134 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
135 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
136 bug 261982.
137
138 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
139 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
140 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
141 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
142 Cleanup
143
144*ruby-1.8.7_p72-r10 (07 Mar 2009)
145
146 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
147 +ruby-1.8.7_p72-r10.ebuild:
148 Add a revision of ruby 1.8.7 using eselect ruby.
149
150 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
151 ~mips keyworded, bug #252315.
152
153 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
154 ruby-1.8.6_p287-r5.ebuild:
155 ppc stable, bug #260006
156
157 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
158 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
159
160 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
161 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
162 Fixing Tk USE flag test, bug 258893.
163
164 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
165 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
166
167 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
168 ruby-1.8.6_p287-r5.ebuild:
169 amd64 stable wrt security bug #260006
170
171 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
172 Stable for HPPA (bug #260006).
173
174 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
175 ruby-1.8.6_p287-r5.ebuild:
176 Stable on alpha, bug #260006
177
178*ruby-1.8.7_p72-r2 (23 Feb 2009)
179*ruby-1.8.6_p287-r12 (23 Feb 2009)
180*ruby-1.8.6_p287-r5 (23 Feb 2009)
181
182 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
183 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
184 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
185 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
186 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
187 now before compilation if Tk useflags don't match) and 230748 (adding
188 --enable-option-checking=no for newer versions of autoconf).
189
190 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
191 arm/ia64/s390/sh/sparc stable wrt #254307
192
193 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
194 ruby-1.8.6_p287-r4.ebuild:
195 Stable on alpha, bug #254307
196
197 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
198 ruby-1.8.6_p287-r11.ebuild:
199 keyword ~x86-fbsd, bug #252315
200
201 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
202 ppc stable #254307
203
204 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
205 amd64/x86 stable, bug #254307
206
207 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
208 stable ppc64, bug 254307
209
210 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
211 Stable for HPPA (bug #254307).
212
213 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
214 ruby-1.8.6_p287-r11.ebuild:
215 Marked ~hppa (bug #252315).
216
217*ruby-1.8.6_p287-r11 (11 Jan 2009)
218
219 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
220 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
221 +ruby-1.8.6_p287-r11.ebuild:
222 Backport conditional definition of missing openssl functions from ruby 1.8.7.
223 Fixes #254307.
224
225 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
226 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
227
228 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
229 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
230
231 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
232 ruby-1.8.6_p287-r10.ebuild:
233 Add ~sparc keyword, bug #252315
234
235*ruby-1.8.6_p287-r10 (23 Dec 2008)
236
237 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
238 +ruby-1.8.6_p287-r10.ebuild:
239 Version bump which switches from ruby-config to eselect-ruby. Dropped most
240 keywords since eselect-ruby does not yet have these keywords.
241
242 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
243 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
244 Revert the ruby-config changes. We can't remove them until we provide an
245 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
246 for breaking things as mentioned in bug #251833.
247
248 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
249 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
250 ruby-1.8.7_p72-r1.ebuild:
251 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
252 Thanks for the people noticing this in bug #251833.
253
254 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
255 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
256 ruby-1.8.7_p72-r1.ebuild:
257 Drop dependency on ruby-config, which will be removed from the tree. We
258 currently only have one major version of ruby in the tree (Ruby 1.8), so there
259 is no need for ruby-config at this moment. For newer versions of Ruby we will
260 use eselect-ruby, which can be found in the ruby overlay at the moment.
261
262 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
263 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
264 Use mirror://ruby in SRC_URI, fixes #237392.
265
266 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
267 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
268 -ruby-1.8.7_p72.ebuild:
269 Remove old versions. Leave one old stable version with cjk support.
270
271*ruby-1.8.6_p287-r3 (29 Nov 2008)
272
273 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
274 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
275 +ruby-1.8.6_p287-r3.ebuild:
276 Fix our expansion limit patch according to debian bug report
277 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
278 make sure people will pick up the fixed version. Thanks to Alex Legler for
279 mentioning the patch.
280
281*ruby-1.8.7_p72-r1 (26 Nov 2008)
282*ruby-1.8.6_p287-r2 (26 Nov 2008)
283
284 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
285 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
286 +ruby-1.8.7_p72-r1.ebuild:
287 Fix problem with shortname constants #247790, already fixed in upstream SVN.
288 Thanks to Alex Legler for providing the patch.
289
290 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
291 -ruby-1.8.6_p287.ebuild:
292 Remove versions that will not become stable
293
294 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
295 ruby-1.8.6_p287-r1.ebuild:
296 ppc stable, bug #225465
297
298 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
299 ruby-1.8.6_p287-r1.ebuild:
300 amd64 stable wrt security bug #225465
301
302 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
303 alpha/ia64/x86 stable wrt #225465
304
305 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
306 ruby-1.8.6_p287-r1.ebuild:
307 Sparc stable --- Security Bug #225465 --- good since late August.
308
309 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
310 Stable on ppc64; bug #225465
311
312 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
313 Stable for HPPA (bug #225465).
314
315*ruby-1.8.6_p287-r1 (29 Aug 2008)
316
317 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
318 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
319 +ruby-1.8.6_p287-r1.ebuild:
320 Fix REXML security issues, bug #236060.
321
322 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
323 Add GLEP 56 USE flag descriptions.
324
325*ruby-1.8.7_p72 (15 Aug 2008)
326
327 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
328 +ruby-1.8.7_p72.ebuild:
329 bump 1.8.7 to latest patch release
330
331*ruby-1.8.6_p287 (11 Aug 2008)
332
333 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
334 Version bump for brown paper bag relelease.
335
336 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
337 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
338 Remove broken version in favor of the just-added 1.8.6_p286
339
340*ruby-1.8.6_p286 (10 Aug 2008)
341
342 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
343 Version bump to latest released version of ruby 1.8.6. This version fixes the
344 security issues reported in #225465 and #234224. The cjk USE flag has been
345 dropped since no compatible patches have been released yet.
346
347 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
348 ruby-1.8.6_p230.ebuild:
349 drop cjk from SRC_URI as well
350
351 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
352 Drop cjk support since the most recent oniguruma patches no longer apply to
353 this version, #230111.
354
355 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
356 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
357 Try to fix the security issues reported in #225465 for ruby 1.8.6.
358 Unfortunately the official p230 has a change which causes segmentation faults
359 for applications like Rails and RSpec, so we are reverting that specific
360 change.
361
362*ruby-1.8.7_p22 (29 Jun 2008)
363
364 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
365 +ruby-1.8.7_p22.ebuild:
366 bump 1.8.7 for security fix
367
368 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
369 nevermind, don't bump this yet
370
371*ruby-1.8.6_p230 (20 Jun 2008)
372
373 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
374 version bump
375
376*ruby-1.8.7 (10 Jun 2008)
377
378 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
379 +ruby-1.8.7.ebuild:
380 bump 1.8.7 to final
381
382*ruby-1.8.7_pre2 (21 Apr 2008)
383
384 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
385 +ruby-1.8.7_pre2.ebuild:
386 Version Bump
387
388*ruby-1.8.7_pre1 (16 Apr 2008)
389
390 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
391 Version bump. Drop cjk until a new version of oniguruma appears.
392
393 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
394 amd64 stable, bug 212264
395
396 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
397 Stable for HPPA (bug #212264).
4 398
5 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org> 399 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
6 ruby-1.8.6_p114.ebuild: 400 ruby-1.8.6_p114.ebuild:
7 ppc stable, bug #212264 401 ppc stable, bug #212264
8 402

Legend:
Removed from v.1.330  
changed lines
  Added in v.1.413

  ViewVC Help
Powered by ViewVC 1.1.20